JBoss API: Class JDBCDataSourceLoader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jdbc
Class JDBCDataSourceLoader

    java.lang.Object
      |
      +--javax.management.NotificationBroadcasterSupport
            |
            +--org.jboss.util.ServiceMBeanSupport
                  |
                  +--org.jboss.jdbc.JDBCDataSourceLoader

All Implemented Interfaces:
  JDBCDataSourceLoaderMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, Service, ServiceMBean

public class JDBCDataSourceLoader
extends ServiceMBeanSupport
implements JDBCDataSourceLoaderMBean

Service that loads a JDBC 1 connection pool. The constructors are called by the JMX engine based on your MLET tags.

Version:
  $Revision: 1.10.4.1 $
Author:
  Aaron Mulder (ammulder@alumni.princeton.edu)

Fields inherited from class org.jboss.util.ServiceMBeanSupport
`log, server`

Fields inherited from interface org.jboss.jdbc.JDBCDataSourceLoaderMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Constructor Summary
`JDBCDataSourceLoader()`
`JDBCDataSourceLoader(java.lang.String poolName)`

Method Summary
`long` | `getGCInterval()`
`long` | `getGCMinIdleTime()`
`long` | `getIdleTimeout()`
`java.lang.String` | `getJDBCUser()`
`float` | `getMaxIdleTimeoutPercent()`
`int` | `getMaxSize()`
`int` | `getMinSize()`
`java.lang.String` | `getName()`
`javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer parm1, javax.management.ObjectName parm2)`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getPoolName()`
`java.lang.String` | `getProperties()`
`java.lang.String` | `getURL()`
`boolean` | `isBlocking()`
`boolean` | `isGCEnabled()`
`boolean` | `isIdleTimeoutEnabled()`
`boolean` | `isInvalidateOnError()`
`boolean` | `isLoggingEnabled()`
`boolean` | `isTimestampUsed()`
`void` | `setBlocking(boolean blocking)`
`void` | `setGCEnabled(boolean gcEnabled)`
`void` | `setGCInterval(long interval)`
`void` | `setGCMinIdleTime(long idleMillis)`
`void` | `setIdleTimeout(long idleMillis)`
`void` | `setIdleTimeoutEnabled(boolean enabled)`
`void` | `setInvalidateOnError(boolean invalidate)`
`void` | `setJDBCUser(java.lang.String userName)`
`void` | `setLoggingEnabled(boolean enabled)`
`void` | `setMaxIdleTimeoutPercent(float percent)`
`void` | `setMaxSize(int maxSize)`
`void` | `setMinSize(int minSize)`
`void` | `setPassword(java.lang.String password)`
`void` | `setPoolName(java.lang.String name)`
`void` | `setProperties(java.lang.String properties)`
`void` | `setTimestampUsed(boolean timestamp)`
`void` | `setURL(java.lang.String jdbcURL)`
`void` | `startService()`
`void` | `stopService()`

Methods inherited from class org.jboss.util.ServiceMBeanSupport
`destroy, destroyService, getServer, getState, getStateString, init, initService, nextSequenceNumber, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.util.ServiceMBean
`getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Constructor Detail

### JDBCDataSourceLoader

    public JDBCDataSourceLoader()

### JDBCDataSourceLoader

    public JDBCDataSourceLoader(java.lang.String poolName)

Method Detail

### setPoolName

    public void setPoolName(java.lang.String name)

  Specified by:
    `setPoolName` in interface `JDBCDataSourceLoaderMBean`

### getPoolName

    public java.lang.String getPoolName()

  Specified by:
    `getPoolName` in interface `JDBCDataSourceLoaderMBean`

### setURL

    public void setURL(java.lang.String jdbcURL)

  Specified by:
    `setURL` in interface `JDBCDataSourceLoaderMBean`

### getURL

    public java.lang.String getURL()

  Specified by:
    `getURL` in interface `JDBCDataSourceLoaderMBean`

### setProperties

    public void setProperties(java.lang.String properties)

  Specified by:
    `setProperties` in interface `JDBCDataSourceLoaderMBean`

### getProperties

    public java.lang.String getProperties()

  Specified by:
    `getProperties` in interface `JDBCDataSourceLoaderMBean`

### setJDBCUser

    public void setJDBCUser(java.lang.String userName)

  Specified by:
    `setJDBCUser` in interface `JDBCDataSourceLoaderMBean`

### getJDBCUser

    public java.lang.String getJDBCUser()

  Specified by:
    `getJDBCUser` in interface `JDBCDataSourceLoaderMBean`

### setPassword

    public void setPassword(java.lang.String password)

  Specified by:
    `setPassword` in interface `JDBCDataSourceLoaderMBean`

### getPassword

    public java.lang.String getPassword()

  Specified by:
    `getPassword` in interface `JDBCDataSourceLoaderMBean`

### setLoggingEnabled

    public void setLoggingEnabled(boolean enabled)

  Specified by:
    `setLoggingEnabled` in interface `JDBCDataSourceLoaderMBean`

### isLoggingEnabled

    public boolean isLoggingEnabled()

  Specified by:
    `isLoggingEnabled` in interface `JDBCDataSourceLoaderMBean`

### setMinSize

    public void setMinSize(int minSize)

  Specified by:
    `setMinSize` in interface `JDBCDataSourceLoaderMBean`

### getMinSize

    public int getMinSize()

  Specified by:
    `getMinSize` in interface `JDBCDataSourceLoaderMBean`

### setMaxSize

    public void setMaxSize(int maxSize)

  Specified by:
    `setMaxSize` in interface `JDBCDataSourceLoaderMBean`

### getMaxSize

    public int getMaxSize()

  Specified by:
    `getMaxSize` in interface `JDBCDataSourceLoaderMBean`

### setBlocking

    public void setBlocking(boolean blocking)

  Specified by:
    `setBlocking` in interface `JDBCDataSourceLoaderMBean`

### isBlocking

    public boolean isBlocking()

  Specified by:
    `isBlocking` in interface `JDBCDataSourceLoaderMBean`

### setGCEnabled

    public void setGCEnabled(boolean gcEnabled)

  Specified by:
    `setGCEnabled` in interface `JDBCDataSourceLoaderMBean`

### isGCEnabled

    public boolean isGCEnabled()

  Specified by:
    `isGCEnabled` in interface `JDBCDataSourceLoaderMBean`

### setGCInterval

    public void setGCInterval(long interval)

  Specified by:
    `setGCInterval` in interface `JDBCDataSourceLoaderMBean`

### getGCInterval

    public long getGCInterval()

  Specified by:
    `getGCInterval` in interface `JDBCDataSourceLoaderMBean`

### setGCMinIdleTime

    public void setGCMinIdleTime(long idleMillis)

  Specified by:
    `setGCMinIdleTime` in interface `JDBCDataSourceLoaderMBean`

### getGCMinIdleTime

    public long getGCMinIdleTime()

  Specified by:
    `getGCMinIdleTime` in interface `JDBCDataSourceLoaderMBean`

### setIdleTimeoutEnabled

    public void setIdleTimeoutEnabled(boolean enabled)

  Specified by:
    `setIdleTimeoutEnabled` in interface `JDBCDataSourceLoaderMBean`

### isIdleTimeoutEnabled

    public boolean isIdleTimeoutEnabled()

  Specified by:
    `isIdleTimeoutEnabled` in interface `JDBCDataSourceLoaderMBean`

### setIdleTimeout

    public void setIdleTimeout(long idleMillis)

  Specified by:
    `setIdleTimeout` in interface `JDBCDataSourceLoaderMBean`

### getIdleTimeout

    public long getIdleTimeout()

  Specified by:
    `getIdleTimeout` in interface `JDBCDataSourceLoaderMBean`

### setMaxIdleTimeoutPercent

    public void setMaxIdleTimeoutPercent(float percent)

  Specified by:
    `setMaxIdleTimeoutPercent` in interface `JDBCDataSourceLoaderMBean`

### getMaxIdleTimeoutPercent

    public float getMaxIdleTimeoutPercent()

  Specified by:
    `getMaxIdleTimeoutPercent` in interface `JDBCDataSourceLoaderMBean`

### setInvalidateOnError

    public void setInvalidateOnError(boolean invalidate)

  Specified by:
    `setInvalidateOnError` in interface `JDBCDataSourceLoaderMBean`

### isInvalidateOnError

    public boolean isInvalidateOnError()

  Specified by:
    `isInvalidateOnError` in interface `JDBCDataSourceLoaderMBean`

### setTimestampUsed

    public void setTimestampUsed(boolean timestamp)

  Specified by:
    `setTimestampUsed` in interface `JDBCDataSourceLoaderMBean`

### isTimestampUsed

    public boolean isTimestampUsed()

  Specified by:
    `isTimestampUsed` in interface `JDBCDataSourceLoaderMBean`

### getObjectName

    public javax.management.ObjectName getObjectName(javax.management.MBeanServer parm1,
                                                     javax.management.ObjectName parm2)
                                              throws javax.management.MalformedObjectNameException

  Overrides:
    `getObjectName` in class `ServiceMBeanSupport`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ServiceMBean`
  Overrides:
    `getName` in class `ServiceMBeanSupport`

### startService

    public void startService()
                      throws java.lang.Exception

  Overrides:
    `startService` in class `ServiceMBeanSupport`

### stopService

    public void stopService()

  Overrides:
    `stopService` in class `ServiceMBeanSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.